Bug 141549 - FILEOPEN: DOCX: Missing images in header
Summary: FILEOPEN: DOCX: Missing images in header
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:7.2.0 target:7.1.3
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks:
 
Reported: 2021-04-07 19:44 UTC by Xisco Faulí
Modified: 2021-04-14 08:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Comparison MSO 2010 and LibreOffice 7.2 master (447.41 KB, image/png)
2021-04-07 19:44 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-04-07 19:44:23 UTC
Created attachment 171020 [details]
Comparison MSO 2010 and LibreOffice 7.2 master

Steps to reproduce:
1. Open attachment 98662 [details] from bug 78420
2. Scroll down

-> Images in header are missing in page 3 and so on

Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: c47ad11f8c2e917adebbd5d7b3a3ef6cc4b3e670
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2021-04-07 19:45:38 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3bc8f90e9693f710f12632f69b9348c1c833c906

author	Michael Stahl <michael.stahl@allotropia.de>	2021-03-05 21:06:28 +0100
committer	Miklos Vajna <vmiklos@collabora.com>	2021-03-08 12:21:42 +0100
commit 3bc8f90e9693f710f12632f69b9348c1c833c906 (patch)
tree 7835eaeddadb06b48a06bfa3bf04d3ee0e211b39
parent 9463fec243e7507c826ea21a093b5475dc29fd41 (diff)
(related: tdf#133487) sw: fix ordering of virtual SdrObjects for textboxes

Bisected with: bibisect-linux64-7.2

Adding Cc: to Michael Stahl
Comment 2 Commit Notification 2021-04-09 13:20:38 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c2eae4998b3ae79210ef0b5c064e9833218c22de

tdf#141549 sw: fix ordering of virtual SdrObjects for textboxes

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Stahl (allotropia) 2021-04-09 13:22:14 UTC
fixed on master
Comment 4 Commit Notification 2021-04-13 12:53:10 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/ad8ddc0bb2535b6d6bad53dd137c3d8e682dfd1f

tdf#141549 sw: fix ordering of virtual SdrObjects for textboxes

It will be available in 7.1.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2021-04-14 08:44:58 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 77419c6f3aba1fd5b1660795923c22a39bdb1bad
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!